package cn.com.infosec.asn1.ess;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1OctetString;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DEROctetString;

public class ContentIdentifier extends ASN1Encodable {
   ASN1OctetString value;

   public static ContentIdentifier getInstance(Object o) {
      if (o != null && !(o instanceof ContentIdentifier)) {
         if (o instanceof ASN1OctetString) {
            return new ContentIdentifier((ASN1OctetString)o);
         } else {
            throw new IllegalArgumentException("unknown object in 'ContentIdentifier' factory : " + o.getClass().getName() + ".");
         }
      } else {
         return (ContentIdentifier)o;
      }
   }

   public ContentIdentifier(ASN1OctetString value) {
      this.value = value;
   }

   public ContentIdentifier(byte[] value) {
      ContentIdentifier var10000 = this;
      DEROctetString var2;
      var2 = new DEROctetString.<init>(value);
      var10000.<init>((ASN1OctetString)var2);
   }

   public ASN1OctetString getValue() {
      return this.value;
   }

   public DERObject toASN1Object() {
      return this.value;
   }
}
